package com.gic.haoban.manage.api.dto.hm;

import java.io.Serializable;
import java.util.List;

public class HmBatchCountDTO implements Serializable{
    
    /**
    * @Fields serialVersionUID : TODO(用一句话描述这个变量表示什么)
    */
    private static final long serialVersionUID = 4873701412965622239L;
    private int taskStatus ;
    private String taskId ;
    private int totalCount ;
    private int successCount ;
    private int failount ;
    private List<HmBatchModifyResultDTO> failList ;
    
    public int getTaskStatus() {
        return taskStatus;
    }
    public void setTaskStatus(int taskStatus) {
        this.taskStatus = taskStatus;
    }
    public String getTaskId() {
        return taskId;
    }
    public int getTotalCount() {
        return totalCount;
    }
    public int getSuccessCount() {
        return successCount;
    }
    public int getFailount() {
        return failount;
    }
    public List<HmBatchModifyResultDTO> getFailList() {
        return failList;
    }
    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }
    public void setTotalCount(int totalCount) {
        this.totalCount = totalCount;
    }
    public void setSuccessCount(int successCount) {
        this.successCount = successCount;
    }
    public void setFailount(int failount) {
        this.failount = failount;
    }
    public void setFailList(List<HmBatchModifyResultDTO> failList) {
        this.failList = failList;
    }
}